<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
	
if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'bank2zen')
	{
		$character = $_POST['character'];
		$zen = $_POST['zen'];
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($character))
		{
			$error = "Chưa chọn nhân vật rút Zen";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $character))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif (preg_match("/[^0-9$]/", $zen))
		{
	    	$error = "<font size='2' color='red'>Dữ liệu lỗi : $zen . Chỉ được sử dụng số (1-9).</font>"; 
		}
		elseif ( $_SESSION['acc_zen'] < $zen ) {
			$error = "<font size='2' color='red'>Dữ liệu lỗi : Số lượng Zen cần rút lớn hơn số Zen có trong ngân hàng.</font>"; 
		}
		elseif ( ($_SESSION['nv_zen'] + $zen) > 2000000000 ) {
			$error = "<font size='2' color='red'>Dữ liệu lỗi : Sau khi rút, nhân vật có nhiều hơn 2 tỷ Zen.</font>"; 
		}
		else {
			
			$getcontent_url = $server_url . "/sv_tiente.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'zen'    =>  $zen,
				
				'pagesv'	=>	'sv_tiente_bank2zen',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);
			
			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);

				if ( $info[0] == 'OK' ) {
					$notice = $info[1];
					$_SESSION['acc_zen'] = $_SESSION['acc_zen'] - $zen;
					$_SESSION['nv_zen'] = $_SESSION['nv_zen'] + $zen;
				}
				else $error = $reponse;
			}
		}
	}
}

$accept = 1;

if ($_SESSION['nv_online'] == 1) {
    $online = "<font color='red'><b>Chưa Thoát</b></font>";
    $accept = 0;
} else $online = "<font color='green'>Đã Thoát</font>";

$page_template = "templates/tiente/bank2zen.tpl";
?>